Bug 854028 - SELinux is preventing /usr/bin/rhythmbox from 'name_bind' accesses on the tcp_socket .
SELinux is preventing /usr/bin/rhythmbox from 'name_bind' accesses on the tcp...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:b7df212800e89b76080c6c7250a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 11:46 EDT by Frank Büttner
Modified: 2013-07-31 17:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:00:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-03 11:46 EDT, Frank Büttner
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-03 11:46 EDT, Frank Büttner
no flags Details

  None (edit)
Description Frank Büttner 2012-09-03 11:46:28 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.5.2-3.fc17.x86_64

description:
:SELinux is preventing /usr/bin/rhythmbox from 'name_bind' accesses on the tcp_socket .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If sie denken, dass rhythmbox standardmässig erlaubt sein sollte, name_bind Zugriff auf  tcp_socket zu erhalten.
:Then sie sollten dies als Fehler melden.
:Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
:Do
:zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
:# grep rhythmbox /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:daap_port_t:s0
:Target Objects                 [ tcp_socket ]
:Source                        rhythmbox
:Source Path                   /usr/bin/rhythmbox
:Port                          3689
:Host                          (removed)
:Source RPM Packages           rhythmbox-2.97-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-146.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.2-3.fc17.x86_64 #1 SMP Tue Aug
:                              21 19:06:52 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-09-03 17:43:47 CEST
:Last Seen                     2012-09-03 17:43:47 CEST
:Local ID                      a8b27bae-42a7-41e3-b802-49f170bb96de
:
:Raw Audit Messages
:type=AVC msg=audit(1346687027.171:125): avc:  denied  { name_bind } for  pid=12649 comm="rhythmbox" src=3689 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:daap_port_t:s0 tclass=tcp_socket
:
:
:type=SYSCALL msg=audit(1346687027.171:125): arch=x86_64 syscall=bind success=yes exit=0 a0=d a1=7fff4d2ec1c0 a2=1c a3=7fff4d2ebf40 items=0 ppid=1 pid=12649 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=rhythmbox exe=/usr/bin/rhythmbox subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: rhythmbox,mozilla_plugin_t,daap_port_t,tcp_socket,name_bind
:
:audit2allow
:
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t daap_port_t:tcp_socket name_bind;
:
:audit2allow -R
:
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t daap_port_t:tcp_socket name_bind;
:
:
Comment 1 Frank Büttner 2012-09-03 11:46:32 EDT
Created attachment 609426 [details]
File: type
Comment 2 Frank Büttner 2012-09-03 11:46:34 EDT
Created attachment 609427 [details]
File: hashmarkername
Comment 3 Frank Büttner 2012-09-03 11:49:18 EDT
To repoduce:
Open an URL with an media file for example:
http://download.fritz.de/audios/comedy/2012/09/ber___brandschutzanlage_20120903.mp3
and then select in the context menue "open with ..."
Comment 4 Miroslav Grepl 2012-09-03 13:35:11 EDT
Do you have mozplugger installed?
Comment 5 Frank Büttner 2012-09-04 11:30:27 EDT
Hello,
mozplugger is not installed.

rpm -qa|grep moz
mozilla-filesystem-1.9-7.fc17.x86_64
totem-mozplugin-3.4.3-1.fc17.x86_64
libproxy-mozjs-0.4.7-4.fc17.x86_64
Comment 6 Daniel Walsh 2012-09-04 16:23:36 EDT
Frank any idea why a plugin in firefox would need to bind to port 3689?
Comment 7 Frank Büttner 2012-09-06 13:02:34 EDT
Yes, netsat say, that rhythmbox will listen on it.
Comment 8 Daniel Walsh 2012-09-06 16:31:08 EDT
Running a firefox plugin and your user account becomes a service, does not seem like a great idea.  Especially since this would most likely be blocked by a firewall anyways.
Comment 9 Fedora End Of Life 2013-07-03 16:43:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 17:00:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.